path: /build/build/libnftnl-net-libs-1.2.7.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} net-libs/libnftnl -pv -t
  - |
    emerge -j ${JOBS} --nodeps net-libs/libnftnl
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/libnftnl && luet-portage --dir
    /pkgdir/libnftnl net-libs/libnftnl
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:feef089127f4498b4debe4773301ef196e2c54ee2707ccb9637b531635fd1068
  package:
    name: libnftnl
    version: 1.2.7
    category: net-libs
    requires:
    - name: docbook2X
      version: '>=0'
      category: app-text
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Netlink API to the in-kernel nf_tables subsystem
    uri:
    - https://www.netfilter.org/projects/libnftnl/
    license: GPL-2
    buildtimestamp: 2024-07-29 09:36:28.975403942 +0000 UTC m=+360.123070235
    labels:
      BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
      DEPEND: '>=net-libs/libmnl-1.0.4'
      IUSE: examples static-libs test kernel_linux
      RDEPEND: '>=net-libs/libmnl-1.0.4'
      emerge.packages: net-libs/libnftnl
      kit: net-kit
      original.package.name: net-libs/libnftnl
      original.package.slot: "0"
      original.package.version: 1.2.7
    treedir: /build/packages
  package_dir: /pkgdir/libnftnl
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f3d66423ee92a26dcf229c51eb3fe9f4b3bc772619146cedb1120d55f10f620c
compressiontype: zstd
files:
- lib64/libnftnl.so.11
- lib64/libnftnl.so.11.6.0
- usr/include/libnftnl/batch.h
- usr/include/libnftnl/chain.h
- usr/include/libnftnl/common.h
- usr/include/libnftnl/expr.h
- usr/include/libnftnl/flowtable.h
- usr/include/libnftnl/gen.h
- usr/include/libnftnl/object.h
- usr/include/libnftnl/rule.h
- usr/include/libnftnl/ruleset.h
- usr/include/libnftnl/set.h
- usr/include/libnftnl/table.h
- usr/include/libnftnl/trace.h
- usr/include/libnftnl/udata.h
- usr/lib64/libnftnl.so
- usr/lib64/pkgconfig/libnftnl.pc
- var/db/pkg/net-libs/libnftnl-1.2.7/BDEPEND
- var/db/pkg/net-libs/libnftnl-1.2.7/BUILD_TIME
- var/db/pkg/net-libs/libnftnl-1.2.7/CATEGORY
- var/db/pkg/net-libs/libnftnl-1.2.7/CBUILD
- var/db/pkg/net-libs/libnftnl-1.2.7/CFLAGS
- var/db/pkg/net-libs/libnftnl-1.2.7/CHOST
- var/db/pkg/net-libs/libnftnl-1.2.7/CONTENTS
- var/db/pkg/net-libs/libnftnl-1.2.7/COUNTER
- var/db/pkg/net-libs/libnftnl-1.2.7/CXXFLAGS
- var/db/pkg/net-libs/libnftnl-1.2.7/DEFINED_PHASES
- var/db/pkg/net-libs/libnftnl-1.2.7/DEPEND
- var/db/pkg/net-libs/libnftnl-1.2.7/DESCRIPTION
- var/db/pkg/net-libs/libnftnl-1.2.7/EAPI
- var/db/pkg/net-libs/libnftnl-1.2.7/FEATURES
- var/db/pkg/net-libs/libnftnl-1.2.7/HOMEPAGE
- var/db/pkg/net-libs/libnftnl-1.2.7/INHERITED
- var/db/pkg/net-libs/libnftnl-1.2.7/IUSE
- var/db/pkg/net-libs/libnftnl-1.2.7/IUSE_EFFECTIVE
- var/db/pkg/net-libs/libnftnl-1.2.7/KEYWORDS
- var/db/pkg/net-libs/libnftnl-1.2.7/LDFLAGS
- var/db/pkg/net-libs/libnftnl-1.2.7/LICENSE
- var/db/pkg/net-libs/libnftnl-1.2.7/NEEDED
- var/db/pkg/net-libs/libnftnl-1.2.7/PF
- var/db/pkg/net-libs/libnftnl-1.2.7/PROVIDES
- var/db/pkg/net-libs/libnftnl-1.2.7/RDEPEND
- var/db/pkg/net-libs/libnftnl-1.2.7/REQUIRES
- var/db/pkg/net-libs/libnftnl-1.2.7/SIZE
- var/db/pkg/net-libs/libnftnl-1.2.7/SLOT
- var/db/pkg/net-libs/libnftnl-1.2.7/USE
- var/db/pkg/net-libs/libnftnl-1.2.7/environment.bz2
- var/db/pkg/net-libs/libnftnl-1.2.7/libnftnl-1.2.7.ebuild
- var/db/pkg/net-libs/libnftnl-1.2.7/repository
package_cacheimage: ""
runtime:
  name: libnftnl
  version: 1.2.7
  category: net-libs
  requires:
  - name: libmnl
    version: '>=0'
    category: net-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Netlink API to the in-kernel nf_tables subsystem
  uri:
  - https://www.netfilter.org/projects/libnftnl/
  license: GPL-2
  labels:
    BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
    DEPEND: '>=net-libs/libmnl-1.0.4'
    IUSE: examples static-libs test kernel_linux
    RDEPEND: '>=net-libs/libmnl-1.0.4'
    emerge.packages: net-libs/libnftnl
    kit: net-kit
    original.package.name: net-libs/libnftnl
    original.package.slot: "0"
    original.package.version: 1.2.7
